Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine
Class BatchLearner

    java.lang.Object
      org.joone.engine.AbstractLearner
          org.joone.engine.ExtendableLearner
              org.joone.engine.BatchLearner

All Implemented Interfaces:
  java.io.Serializable, Learner

    public class BatchLearner

extends ExtendableLearner

BatchLearner stores the weight/bias changes during the batch and updates them after the batch is done. IMPORTANT: If you want to have standard batch learning, i.e. the BatchSize equals the number of training patterns available, just use monitor. setBatchSize(monitor.getTrainingPatterns());

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.joone.engine.ExtendableLearner
`theDeltaRuleExtenders, theGradientExtenders, theUpdateWeightExtender`

Fields inherited from class org.joone.engine.AbstractLearner
`learnable, learnableLayer, learnableSynapse, monitor`

Constructor Summary
`BatchLearner()`
`BatchLearner(int batchSize)` Deprecated. use BatchLearner() and set the batch size with monitor.setBatchSize()

Method Summary
`int` | `getBatchSize()` Deprecated. use monitor.getBatchSize()
`void` | `initiateNewBatch()` Deprecated. not used, the BatchModeExtender takes care of everything
`void` | `setBatchSize(int newBatchSize)` Deprecated. use monitor.setBatchSize()

Methods inherited from class org.joone.engine.ExtendableLearner
`addDeltaRuleExtender, addGradientExtender, getDefaultDelta, getDefaultDelta, getDefaultGradientBias, getDefaultGradientWeight, getDelta, getDelta, getGradientBias, getGradientWeight, getLearningRate, getLearningRate, getUpdateWeightExtender, postBiasUpdate, postBiasUpdateImpl, postWeightUpdate, postWeightUpdateImpl, preBiasUpdate, preBiasUpdateImpl, preWeightUpdate, preWeightUpdateImpl, requestBiasUpdate, requestWeightUpdate, setUpdateWeightExtender, updateBias, updateWeight`

Methods inherited from class org.joone.engine.AbstractLearner
`getLayer, getMonitor, getSynapse, registerLearnable, setMonitor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatchLearner

    public BatchLearner()

### BatchLearner

    public BatchLearner(int batchSize)

  Deprecated. use BatchLearner() and set the batch size with monitor.setBatchSize()

Method Detail

### initiateNewBatch

    public void initiateNewBatch()

  Deprecated. not used, the BatchModeExtender takes care of everything

### setBatchSize

    public void setBatchSize(int newBatchSize)

  Deprecated. use monitor.setBatchSize()

### getBatchSize

    public int getBatchSize()

  Deprecated. use monitor.getBatchSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net